import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif
import uviewPlus from 'uview-plus';
// requset请求
import {
	requestBase,
	requestApp,
	requestFile
} from '@/common/api.js';
// 配置文件
import config from '@/config.js';
import share from '@/common/share.js';
// #ifdef VUE3
import {
	createSSRApp,
	provide
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	app.use(uviewPlus)
	app.provide('$api', requestBase);
	app.provide('$app', requestApp);
	app.provide('$apifile', requestFile);
	app.provide('$config', config);
	app.provide('$share', share);
	return {
		app
	}
}
// #endif